Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Class TransactionDates2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_05.TransactionDates2

    public class TransactionDates2
    extends java.lang.Object

Java class for TransactionDates2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionDates2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AccptncDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ISODateTime" minOccurs="0"/>
             <element name="TradActvtyCtrctlSttlmDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ISODate" minOccurs="0"/>
             <element name="TradDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ISODate" minOccurs="0"/>
             <element name="IntrBkSttlmDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ISODate" minOccurs="0"/>
             <element name="StartDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ISODate" minOccurs="0"/>
             <element name="EndDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ISODate" minOccurs="0"/>
             <element name="TxDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ISODateTime" minOccurs="0"/>
             <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ProprietaryDate2" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected javax.xml.datatype.XMLGregorianCalendar` `accptncDtTm`
`protected javax.xml.datatype.XMLGregorianCalendar` `endDt`
`protected javax.xml.datatype.XMLGregorianCalendar` `intrBkSttlmDt`
`protected java.util.List<ProprietaryDate2>` `prtry`
`protected javax.xml.datatype.XMLGregorianCalendar` `startDt`
`protected javax.xml.datatype.XMLGregorianCalendar` `tradActvtyCtrctlSttlmDt`
`protected javax.xml.datatype.XMLGregorianCalendar` `tradDt`
`protected javax.xml.datatype.XMLGregorianCalendar` `txDtTm`

### Constructor Summary

Constructors
`TransactionDates2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.xml.datatype.XMLGregorianCalendar` `getAccptncDtTm()` Gets the value of the accptncDtTm property.
`javax.xml.datatype.XMLGregorianCalendar` `getEndDt()` Gets the value of the endDt property.
`javax.xml.datatype.XMLGregorianCalendar` `getIntrBkSttlmDt()` Gets the value of the intrBkSttlmDt property.
`java.util.List<ProprietaryDate2>` `getPrtry()` Gets the value of the prtry property.
`javax.xml.datatype.XMLGregorianCalendar` `getStartDt()` Gets the value of the startDt property.
`javax.xml.datatype.XMLGregorianCalendar` `getTradActvtyCtrctlSttlmDt()` Gets the value of the tradActvtyCtrctlSttlmDt property.
`javax.xml.datatype.XMLGregorianCalendar` `getTradDt()` Gets the value of the tradDt property.
`javax.xml.datatype.XMLGregorianCalendar` `getTxDtTm()` Gets the value of the txDtTm property.
`void` `setAccptncDtTm​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the accptncDtTm property.
`void` `setEndDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the endDt property.
`void` `setIntrBkSttlmDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the intrBkSttlmDt property.
`void` `setStartDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the startDt property.
`void` `setTradActvtyCtrctlSttlmDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the tradActvtyCtrctlSttlmDt property.
`void` `setTradDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the tradDt property.
`void` `setTxDtTm​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the txDtTm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### accptncDtTm

    protected javax.xml.datatype.XMLGregorianCalendar accptncDtTm

#### tradActvtyCtrctlSttlmDt

    protected javax.xml.datatype.XMLGregorianCalendar tradActvtyCtrctlSttlmDt

#### tradDt

    protected javax.xml.datatype.XMLGregorianCalendar tradDt

#### intrBkSttlmDt

    protected javax.xml.datatype.XMLGregorianCalendar intrBkSttlmDt

#### startDt

    protected javax.xml.datatype.XMLGregorianCalendar startDt

#### endDt

    protected javax.xml.datatype.XMLGregorianCalendar endDt

#### txDtTm

    protected javax.xml.datatype.XMLGregorianCalendar txDtTm

#### prtry

    protected java.util.List<ProprietaryDate2> prtry

### Constructor Detail

#### TransactionDates2

    public TransactionDates2()

### Method Detail

#### getAccptncDtTm

    public javax.xml.datatype.XMLGregorianCalendar getAccptncDtTm()

Gets the value of the accptncDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setAccptncDtTm

    public void setAccptncDtTm​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the accptncDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getTradActvtyCtrctlSttlmDt

    public javax.xml.datatype.XMLGregorianCalendar getTradActvtyCtrctlSttlmDt()

Gets the value of the tradActvtyCtrctlSttlmDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setTradActvtyCtrctlSttlmDt

    public void setTradActvtyCtrctlSttlmDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the tradActvtyCtrctlSttlmDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getTradDt

    public javax.xml.datatype.XMLGregorianCalendar getTradDt()

Gets the value of the tradDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setTradDt

    public void setTradDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the tradDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getIntrBkSttlmDt

    public javax.xml.datatype.XMLGregorianCalendar getIntrBkSttlmDt()

Gets the value of the intrBkSttlmDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setIntrBkSttlmDt

    public void setIntrBkSttlmDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the intrBkSttlmDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getStartDt

    public javax.xml.datatype.XMLGregorianCalendar getStartDt()

Gets the value of the startDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setStartDt

    public void setStartDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the startDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getEndDt

    public javax.xml.datatype.XMLGregorianCalendar getEndDt()

Gets the value of the endDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setEndDt

    public void setEndDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the endDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getTxDtTm

    public javax.xml.datatype.XMLGregorianCalendar getTxDtTm()

Gets the value of the txDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setTxDtTm

    public void setTxDtTm​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the txDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getPrtry

    public java.util.List<ProprietaryDate2> getPrtry()

Gets the value of the prtry property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prtry property.

For example, to add a new item, do as follows:

        getPrtry().add(newItem);

Objects of the following type(s) are allowed in the list `ProprietaryDate2`